%define name	ncbi
%define version	6.1
%define release	1mdk
%define major	2
%define libname	%mklibname %{name} %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	NCBI software development toolkit
Group:		Sciences/Biology
License:	Public Domain
URL:		http://www.ncbi.nlm.nih.gov
Source0:	%{name}.tar.bz2
Patch0:		%{name}.build.patch.bz2
Patch1:		%{name}.dblocation.patch.bz2
BuildRequires:	XFree86-devel
BuildRequires:	lesstif-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
NCBI SOFTWARE DEVELOPMENT TOOLKIT National Center for Biotechnology
Information Bldg 38A, NIH 8600 Rockville Pike Bethesda, MD 20894

The NCBI Software Development Toolkit was developed for the production
and distribution of GenBank, Entrez, BLAST, and related services by
NCBI. We make it freely available to the public without restriction to
facilitate the use of NCBI by the scientific community. However, please
understand that while we feel we have done a high quality job, this is
not commercial software. The documentation lags considerably behind the
software and we must make any changes required by our data production
needs. Nontheless, many people have found it a useful and stable basis
for a number of tools and applications.

%package tools
Summary:        NCBI tools
Group:          Sciences/Biology

%description tools
Tools from the NCBI toolkit.

%package -n %{libname}-devel
Summary:        NCBI development files
Group:          Development/C
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Static libraries and headers from the NCBI toolkit.

%prep
%setup -q -n ncbi
%patch0
%patch1

%build
cd ..
./ncbi/make/makedis.csh

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 bin/* $RPM_BUILD_ROOT%{_bindir}

install -d -m 755 $RPM_BUILD_ROOT%{_includedir}/ncbi
install -d -m 755 $RPM_BUILD_ROOT%{_includedir}/ncbi/connect
install -d -m 755 $RPM_BUILD_ROOT%{_includedir}/ncbi/ctools
install -m 644 include/*.h $RPM_BUILD_ROOT%{_includedir}/ncbi
install -m 644 include/connect/*.h $RPM_BUILD_ROOT%{_includedir}/ncbi/connect
install -m 644 include/ctools/*.h $RPM_BUILD_ROOT%{_includedir}/ncbi/ctools

install -d -m 755 $RPM_BUILD_ROOT%{_libdir}
install -m 644 lib/* $RPM_BUILD_ROOT%{_libdir}

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/ncbi/data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/ncbi/blastdb
install -m 644 data/* $RPM_BUILD_ROOT%{_datadir}/ncbi/data

%clean
rm -rf $RPM_BUILD_ROOT

%files tools
%defattr(-,root,root)
%doc doc/*
%{_bindir}/*
%{_datadir}/ncbi

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*
%{_includedir}/ncbi

%changelog
* Fri Feb 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.2.5-1mdk
- first release
